iOS Development

How do I resolve the versioning distinction between iOS and Android?

Spread the love


When making a hotfix on Flutter, we are able to simply add to the google play retailer + construct with flutter with model x.x.x+x, in my case 3.3.12+1. Nevertheless, when importing to the Apple’s app retailer, I get this error

[!] Error importing ipa file: 
 [Application Loader Error Output]: ERROR: Asset validation failed (90186) Invalid Pre-Launch Practice. The prepare model '3.3.12' is closed for brand new construct submissions (ID: 1d36e0c0-be56-4ab6-8cb3-4650f203c557)
[Application Loader Error Output]: ERROR: Asset validation failed (90062) This bundle is invalid. The worth for key CFBundleShortVersionString [3.3.12] within the Information.plist file should include the next model than that of the beforehand permitted model [3.3.12]. Please discover extra details about CFBundleShortVersionString at https://developer.apple.com/documentation/bundleresources/information_property_list/cfbundleshortversionstring (ID: ca097509-b99e-48c7-9010-cefeba930c73)
[Application Loader Error Output]: Error importing '/var/folders/bl/wbxjgtzx7j5_mjsmfr3ynlc00000gp/T/438bf7fc-df62-4cbd-b9d2-dd9eb4465192.ipa'.
[Application Loader Error Output]: Asset validation failed Invalid Pre-Launch Practice. The prepare model '3.3.12' is closed for brand new construct submissions (ID: 1d36e0c0-be56-4ab6-8cb3-4650f203c557) (90186)
[Application Loader Error Output]: Asset validation failed This bundle is invalid. The worth for key CFBundleShortVersionString [3.3.12] within the Information.plist file should include the next model than that of the beforehand permitted model [3.3.12]. Please discover extra details about CFBundleShortVersionString at https://developer.apple.com/documentation/bundleresources/information_property_list/cfbundleshortversionstring (ID: ca097509-b99e-48c7-9010-cefeba930c73) (90062)
[Application Loader Error Output]: The decision to the altool accomplished with a non-zero exit standing: 1. This means a failure.

Is there a substitute for the +1 versioning for iOS? or do I have to increment it as much as 3.3.13?

One thought on “How do I resolve the versioning distinction between iOS and Android?

  1. Seeing how much work you put into it was really impressive. But even though the phrasing is elegant and the layout inviting, it seems like you are having trouble with it. My belief is that you ought to try sending the following article. If you don’t protect this hike, I will definitely come back for more of the same.

Leave a Reply

Your email address will not be published. Required fields are marked *